liblastfm-fingerprint5-1_1.0.9-1.1_amd64.deb


Advertisement

Description

liblastfm-fingerprint5-1 - Last.fm fingerprinting library (Qt5 build)

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package filename liblastfm-fingerprint5-1_1.0.9-1.1_amd64.deb
Package name liblastfm-fingerprint5-1
Package version 1.0.9
Package release 1.1
Package architecture amd64
Package type deb
Category libs role::shared-lib
Homepage http://www.last.fm/
License -
Maintainer Stefan Ahlers <stef.ahlers@t-online.de>
Download size 38.39 KB
Installed size 116.00 KB

Alternatives

Package Version Architecture Repository
liblastfm-fingerprint5-1_1.0.9-1.1_i386.deb 1.0.9 i386 Debian Main
liblastfm-fingerprint5-1 - - -

Requires

Name Value
libc6 >= 2.14
libfftw3-single3 >= 3.3.5
libgcc1 >= 1:3.0
liblastfm5-1 >= 1.0.8
libqt5core5a >= 5.11.0~rc1
libqt5network5 >= 5.0.2
libqt5sql5 >= 5.0.2
libsamplerate0 >= 0.1.7
libstdc++6 >= 5.2

Download

Type URL
Mirror ftp.br.debian.org
Binary Package liblastfm-fingerprint5-1_1.0.9-1.1_amd64.deb
Source Package liblastfm

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install liblastfm-fingerprint5-1 deb package:
    # sudo apt-get install liblastfm-fingerprint5-1

Files

Path
/usr/lib/x86_64-linux-gnu/liblastfm_fingerprint5.so.1
/usr/lib/x86_64-linux-gnu/liblastfm_fingerprint5.so.1.0.9
/usr/share/doc/liblastfm-fingerprint5-1/changelog.Debian.gz
/usr/share/doc/liblastfm-fingerprint5-1/copyright

Changelog

2019-08-23 - Moritz Muehlenhoff <jmm@debian.org>
liblastfm (1.0.9-1.1) unstable; urgency=medium
* Non-maintainer upload.
* Drop Qt4 build, no reverse dependencies left in the archive and Qt4
is going away (Closes: #875025)
2015-11-20 - Stefan Ahlers <stef.ahlers@t-online.de>
liblastfm (1.0.9-1) unstable; urgency=low
* New upstream release. (Closes: #805081)
* Set myself as the new maintainer with permission of John Stamp the original
maintainer.
* debian/rules;debian/control;debian/*5*:
- Dual build: Qt4 & Qt5
* debian/control:
- Standards-Version: 3.9.6
* update debian/copyright
* Remove patch applied upstream: 
- fix_q_os_x11.patch
* Add patch:
- change_target-name.patch
2015-06-29 - John Stamp <jstamp@mehercule.net>
liblastfm (1.0.8-3) unstable; urgency=medium
* Change my email address in debian/control, debian/copyright.
* Mark some symbols as optional to fix build with gcc 5.
2013-09-04 - John Stamp <jstamp@users.sourceforge.net>
liblastfm (1.0.8-2) unstable; urgency=low
* Check Q_OS_UNIX definition instead of nonexistent Q_OS_X11.  This fixes
the cache and config paths that broke in the last upload.
2013-09-03 - John Stamp <jstamp@users.sourceforge.net>
liblastfm (1.0.8-1) unstable; urgency=low
* New upstream release.
* Update debian/watch file.  Thanks to Bart Martens.
* Mark the -dbg and -dev packages Multi-Arch: same
* Update symbols for liblastfm1
2013-06-01 - John Stamp <jstamp@users.sourceforge.net>
liblastfm (1.0.7-2) unstable; urgency=low
* Bump Standards-Version to 3.9.4.  No changes needed.
* Upload to unstable.
2013-02-27 - John Stamp <jstamp@users.sourceforge.net>
liblastfm (1.0.7-1) experimental; urgency=low
* New upstream release.
* Update symbols files.
2012-10-17 - John Stamp <jstamp@users.sourceforge.net>
liblastfm (1.0.3-1) experimental; urgency=low
* New upstream release.
* Remove patches applied upstream:
- dont_leak_qnetwork_replies_in_audioscrobbler.patch
- fix_no_return_in_nonvoid.patch
- fix_wrong_parameter_name_in_removetag.patch
* Update symbols files
2012-09-12 - John Stamp <jstamp@users.sourceforge.net>
liblastfm (1.0.2-1) experimental; urgency=low
* New upstream release.
* Update symbols files.
* Add patches:
- fix_wrong_parameter_name_in_removetag.patch
- dont_leak_qnetwork_replies_in_audioscrobbler.patch
- fix_no_return_in_nonvoid.patch
* Update debian/copyright and debian/watch; upstream changed the location of
its release repository.
2012-07-26 - John Stamp <jstamp@users.sourceforge.net>
liblastfm (1.0.1-1) experimental; urgency=low
* New upstream
* Remove fix-build-with-ruby1.9.patch
* Rename lib packages due to SONAME change
* Modify Build-Depends since upstream now uses cmake
* Use debhelper 9 for multiarch and hardened build flags
* Fix lintian warnings description-synopsis-starts-with-article,
binary-control-field-duplicates-source
* Add libqt4-dev and misc:Depends to liblastfm-dev; remove shlibs:Depends
from liblastfm-dbg
* Add a watch file
* Bump Standards-Version to 3.9.3
* Update debian/copyright
* Add symbols files and use pkgkde_symbolshelper in dh invocation
* Add --parallel to dh invocation

See Also

Package Description
liblastfm-java_0.1.0-2_all.deb last.fm API bindings for Java
liblastfm-ocaml-dev_0.3.0-5_amd64.deb OCaml interface to audioscrobbler and lastfm radios
liblastfm5-1_1.0.9-1.1_amd64.deb Last.fm web services library (Qt5 build)
liblastfm5-dev_1.0.9-1.1_amd64.deb Last.fm web services library (Qt5 build) - development files
liblaszip-api8_3.4.1-2_amd64.deb Lossless LiDAR compression - API shared library
liblaszip-dev_3.4.1-2_amd64.deb Lossless LiDAR compression - development files
liblaszip8_3.4.1-2_amd64.deb Lossless LiDAR compression - shared library
liblatex-decode-perl_0.05-1_all.deb Perl module to convert LaTeX input to Unicode
liblatex-driver-perl_0.300.2-2_all.deb driver module that encapsulates the details of formatting a LaTeX document
liblatex-encode-perl_0.092.0-1_all.deb Perl module to encode characters for LaTeX formatting
liblatex-table-perl_1.0.6-3_all.deb Perl extension for the automatic generation of LaTeX tables
liblatex-tom-perl_1.03-1_all.deb module for parsing, analyzing and manipulating LaTeX documents
liblavfile-2.1-0_2.1.0+debian-6_amd64.deb MJPEG capture/editing/replay and MPEG encoding toolset (library)
liblavjpeg-2.1-0_2.1.0+debian-6_amd64.deb MJPEG capture/editing/replay and MPEG encoding toolset (library)
liblavplay-2.1-0_2.1.0+debian-6_amd64.deb MJPEG capture/editing/replay and MPEG encoding toolset (library)
Advertisement
Advertisement